Subject: [Idr] Shepherd review of draft-ietf-idr-rfc5575bis-06

From: "Dongjie (Jimmy)" <[email-masked]>
Date: Tue, 17 Apr 2018 03:12:41 +0000

Hi,

I have reviewed -06 version of draft-ietf-idr-rfc5575bis. This document is well written, and is easy to read, but has some nits which should be addressed before the document is sent to IESG.

Section 2, Terminology:

"AS" stands for "Autonomous System".

Section 4 says:

" The (AFI, SAFI) pair carried in the Multiprotocol Extension Capability MUST be the same as the one used to identify a particular application that uses this NLRI-type."

This sentence is a little bit confusing, how about explicitly say that (AFI=1, SAFI=133) MUST be carried in BGP Capability for IPv4 Flow Specification, and (AFI=1, SAFI=134) MUST be carried in BGP Capability for VPNv4 Flow Specification?

Section 5,

"BGP NLRI type (AFI=1, SAFI=134) value, which can be used to propagate traffic filtering information in a BGP/MPLS VPN environment."

Here the "BGP NLRI type" should be replaced with "VPNv4 Flow Specification identifier".

Section 11.3,

In table 6, 0x80, 0x81, 0x82 are listed as "Sub-Type Value", which should be corrected to "Type Value".

In the IANA section, the sentence "This document replaces [RFC7674]" appears several times. As this has been indicated on the front page of the draft, maybe this sentence can be removed from IANA section for simplicity.

Best regards,
Jie

---

From: Christoph Loibl <[email-masked]>
Date: Tue, 17 Apr 2018 22:48:58 +0200

Hi Jie,

Thanks for reviewing the document. I will read thru the proposed changes the following days and address them with an update of the document.

Cheers,
Christoph

--
Christoph Loibl
[email-masked] | CL8-RIPE | PGP-Key-ID: 0x4B2C0055 | http://www.nextlayer.at

> On 17.04.2018, at 05:12, Dongjie (Jimmy) <[email-masked]> wrote:
> 
> Hi,
> 
> “AS” stands for “Autonomous System”.
> 
> 
> Section 4 says:
> 
> ” The (AFI, SAFI) pair carried in the Multiprotocol Extension Capability MUST be the same as the one used to identify a particular application that uses this NLRI-type.”
> 
> “BGP NLRI type (AFI=1, SAFI=134) value, which can be used to propagate traffic filtering information in a BGP/MPLS VPN environment.”
> 
> Here the “BGP NLRI type” should be replaced with “VPNv4 Flow Specification identifier”.
> 
> 
> Section 11.3,
> 
> In table 6, 0x80, 0x81, 0x82 are listed as “Sub-Type Value”, which should be corrected to “Type Value”.
> 
> In the IANA section, the sentence “This document replaces [RFC7674]” appears several times. As this has been indicated on the front page of the draft, maybe this sentence can be removed from IANA section for simplicity.
> 
> 
> Best regards,
> Jie
> 
> _______________________________________________
> Idr mailing list
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/idr <https://www.ietf.org/mailman/listinfo/idr>

---

From: Christoph Loibl <[email-masked]>
Date: Sat, 21 Apr 2018 21:24:23 +0200

Hi Jie,

Thanks for reviewing the document. In response to your review I uploaded a new version -7 of the document. We think it addresses all but your last comment:

> In the IANA section, the sentence “This document replaces [RFC7674]” appears several times. As this has been indicated on the front page of the draft, maybe this sentence can be removed from IANA s…

I remember that we sent the document over to IANA in order to get this section right, prior to asking for WG LC. The response was that we shall be really clear about those references to RFC7674 being removed. We think, that even though this is highly redundant, we should keep this in the document as it is.

Please see rfcdiff for the small changes that I edited into the document:

https://www.ietf.org/rfcdiff?url1=draft-ietf-idr-rfc5575bis-06&url2=draft-ietf-idr-rfc5575bis-07

Christoph

> [email-masked]
> https://www.ietf.org/mailman/listinfo/idr

---

From: Christoph Loibl <[email-masked]>
Date: Sat, 21 Apr 2018 21:35:48 +0200

Hi,

Sorry I was unclear in my last mail…

> We did edit the IANA section as suggested:

I actually intended to write:

We did *NOT* edit the IANA section as suggested (the reason is given below):

Sorry

Christoph.

> On 21.04.2018, at 21:24, Christoph Loibl <[email-masked]> wrote:
> 
> Hi Jie,
>

---

From: "Dongjie (Jimmy)" <[email-masked]>
Date: Tue, 24 Apr 2018 12:13:31 +0000

Hi Christoph,

Thanks for the updated version. It solves all my comments.

Best regards,
Jie

> -----Original Message-----
> From: Christoph Loibl [mailto:[email-masked]]
> Sent: Sunday, April 22, 2018 3:36 AM
> To: Dongjie (Jimmy) <[email-masked]>
> Cc: idr wg <[email-masked]>
> Subject: Re: [Idr] Shepherd review of draft-ietf-idr-rfc5575bis-06
> 
> Hi,
> 
> > Thanks for reviewing the document. In response to your review I uploaded a
> new version -7 of the document. We think it addresses all but your last
> comment:
> >
> >> In the IANA section, the sentence “This document replaces [RFC7674]”
> appears several times. As this has been indicated on the front page of the draft,
> maybe this sentence can be removed from IANA section for simplicity.
> >
> > I remember that we sent the document over to IANA in order to get this
> section right, prior to asking for WG LC. The response was that we shall be
> really clear about those references to RFC7674 being removed. We think, that
> even though this is highly redundant, we should keep this in the document as it
> is.
> >
> >> I have reviewed -06 version of draft-ietf-idr-rfc5575bis. This document is well
> written, and is easy to read, but has some nits which should be addressed
> before the document is sent to IESG.
> >>
> >> Section 2, Terminology:
> >>
> >> ” The (AFI, SAFI) pair carried in the Multiprotocol Extension Capability MUST
> be the same as the one used to identify a particular application that uses this
> NLRI-type.”
> >>
> >> This sentence is a little bit confusing, how about explicitly say that (AFI=1,
> SAFI=133) MUST be carried in BGP Capability for IPv4 Flow Specification, and
> (AFI=1, SAFI=134) MUST be carried in BGP Capability for VPNv4 Flow
> Specification?
> >>
> >>
> >> Section 5,
> >>
> >> “BGP NLRI type (AFI=1, SAFI=134) value, which can be used to propagate
> traffic filtering information in a BGP/MPLS VPN environment.”
> >>
> >> In the IANA section, the sentence “This document replaces [RFC7674]”
> appears several times. As this has been indicated on the front page of the draft,
> maybe this sentence can be removed from IANA section for simplicity.
> >>
> >>
> >> Best regards,
> >> Jie
> >>